Bug 459859 - [EXA] Font garbage and X display disorder
[EXA] Font garbage and X display disorder
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
10
All Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-08-22 23:25 EDT by Mamoru TASAKA
Modified: 2013-01-09 23:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:19:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of JD with 1.4.99.906-9.fc10 (282.21 KB, image/png)
2008-08-22 23:27 EDT, Mamoru TASAKA
no flags Details
screenshot of JD with 1.4.99.906-5.fc10 (this is clean) (283.73 KB, image/png)
2008-08-22 23:28 EDT, Mamoru TASAKA
no flags Details
xorg.conf (3.23 KB, text/plain)
2008-08-22 23:29 EDT, Mamoru TASAKA
no flags Details
Xorg.0.log (with xorg.conf) (24.76 KB, text/plain)
2008-08-22 23:29 EDT, Mamoru TASAKA
no flags Details
Xorg.0.log (with xorg.conf removed) (28.74 KB, text/plain)
2008-08-22 23:30 EDT, Mamoru TASAKA
no flags Details
JD screenshot with 1.5.0-6.fc10 (282.45 KB, image/png)
2008-09-11 23:28 EDT, Mamoru TASAKA
no flags Details
Xorg.0.log (21.31 KB, text/plain)
2008-09-11 23:30 EDT, Mamoru TASAKA
no flags Details
Xorg.0.log (66.50 KB, text/plain)
2008-10-15 08:24 EDT, Mamoru TASAKA
no flags Details
screenshot of JD (225.94 KB, image/png)
2008-10-24 04:37 EDT, Mamoru TASAKA
no flags Details
screenshot of firefox with 1.5.3-2 (181.36 KB, image/png)
2008-11-12 10:00 EST, Mamoru TASAKA
no flags Details

  None (edit)
Description Mamoru TASAKA 2008-08-22 23:25:20 EDT
Description of problem:
With xorg-x11-server 1.4.99.906-9.fc10 fonts on many applications
are corrupted

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.4.99.906-9.fc10
xorg-x11-drv-i810-2.3.2-2.fc9

How reproducible:
100%

Steps to Reproduce:
1. Login to GNOME session (at this stage some fonts are already corrupted)
2. launch some applications
3.
  
Actual results:
Screen shot will be attached below

Expected results:
Screen shot will be attached below

Additional info:
With 1.4.99.906-5.fc10 I see no problem for fonts rendering.
I have another problem with xorg-x11-drv-i810-2.4.0-2.fc10 so currently
I use this xorg-x11-drv-i810 (bug already reported as bug 459777)
Comment 1 Mamoru TASAKA 2008-08-22 23:27:42 EDT
Created attachment 314855 [details]
screenshot of JD with 1.4.99.906-9.fc10
Comment 2 Mamoru TASAKA 2008-08-22 23:28:52 EDT
Created attachment 314856 [details]
screenshot of JD with 1.4.99.906-5.fc10 (this is clean)
Comment 3 Mamoru TASAKA 2008-08-22 23:29:26 EDT
Created attachment 314857 [details]
xorg.conf
Comment 4 Mamoru TASAKA 2008-08-22 23:29:56 EDT
Created attachment 314858 [details]
Xorg.0.log (with xorg.conf)
Comment 5 Mamoru TASAKA 2008-08-22 23:30:53 EDT
Created attachment 314859 [details]
Xorg.0.log (with xorg.conf removed)

With xorg.conf removed, still fonts are corrupted.
Comment 6 Mamoru TASAKA 2008-08-29 11:38:57 EDT
xorg-x11-server-1.4.99.906-10.fc10 still has this issue.
Comment 7 Mamoru TASAKA 2008-09-04 01:49:05 EDT
With xorg-x11-server-Xorg-1.5.0-1.fc10 I don't see this issue.
Comment 8 Mamoru TASAKA 2008-09-11 23:27:44 EDT
Reopening.

With xorg-x11-server-Xorg-1.5.0-6.fc10.i386 fonts display is _terribly_ disturbed.
Comment 9 Mamoru TASAKA 2008-09-11 23:28:57 EDT
Created attachment 316514 [details]
JD screenshot with 1.5.0-6.fc10
Comment 10 Mamoru TASAKA 2008-09-11 23:30:40 EDT
Created attachment 316515 [details]
Xorg.0.log 

Xorg.0.log

Currently:
xorg-x11-server-Xorg-1.5.0-6.fc10.i386
xorg-x11-drv-i810-2.4.2-8.fc10.i386
Comment 11 Behdad Esfahbod 2008-09-14 16:32:00 EDT
Quite possibly driver issues.
Comment 12 Mamoru TASAKA 2008-10-01 12:25:31 EDT
Still I observe this issue on:

xorg-x11-server-Xorg-1.5.1-4.fc10
xorg-x11-drv-i810-2.4.2-9.fc10.i386
libdrm-2.4.0-0.21.fc10.i386

With xorg-x11-server-Xorg-1.5.0-1.fc10 I don't see this issue
Comment 13 Mamoru TASAKA 2008-10-07 09:52:38 EDT
Rebasing to 1.5.1-6.fc10, disabling Patch102 and Patch104 works for me
perfectly.

When only Patch102 is disabled applying Patch104 hangs up (so I cannot
rebuild it)
Comment 14 Mamoru TASAKA 2008-10-15 08:23:27 EDT
(In reply to comment #11)
> Quite possibly driver issues.

Well, probably.

With xorg-x11-server-Xorg-1.5.2-4.fc10, when switching to vesa driver
I don't see this problem.
When using intel driver xorg-x11-drv-i810-2.4.2-12.fc10 I still
see this issue.
Comment 15 Mamoru TASAKA 2008-10-15 08:24:37 EDT
Created attachment 320427 [details]
Xorg.0.log

Xorg.0.log with
xorg-x11-server-Xorg-1.5.2-4.fc10
xorg-x11-drv-i810-2.4.2-12.fc10

Note that xorg.conf is completely removed.
Comment 16 Mamoru TASAKA 2008-10-24 04:37:03 EDT
Created attachment 321384 [details]
screenshot of JD

With 
xorg-x11-server-Xorg-1.5.2-8.fc10.i386
xorg-x11-drv-i810-2.5.0-1.fc10.i386
this issue got much more serious.

Not only glyphs display is broken, it frequently happens that
some part of X window display is out of sync.

screenshot of JD is attached.
Comment 17 Mamoru TASAKA 2008-10-24 04:40:40 EDT
Adding F10DesktopBlocker. Please triage.
Comment 18 Bill Nottingham 2008-11-04 13:36:25 EST
Do you see this only in JD, or also in other applications?
Comment 19 Mamoru TASAKA 2008-11-04 14:24:14 EST
(In reply to comment #18)
> Do you see this only in JD, or also in other applications?
Also in other applications (such as firefox, thunderbird and so on).

When I disable Patch102, 104, 105 things go much better
(I don't know the reason, however I tried to look diff between
 my comment 7 and comment 8, and I found that between these
 Patch102 seemd to have been added)
Comment 20 Bill Nottingham 2008-11-04 14:30:45 EST
Presumably if you set AccelMethod to XAA, it works?
Comment 21 Mamoru TASAKA 2008-11-04 14:56:51 EST
(In reply to comment #20)
> Presumably if you set AccelMethod to XAA, it works?

Actually it does work, with xorg.conf:
-----------------------------------------------------------
Section "Device"
        Identifier      "Videocard0"
        Driver          "intel"
        Option          "AccelMethod"   "XAA"
EndSection

-----------------------------------------------------------
(currently this is all contents of xorg.conf),
and with 

xorg-x11-server-Xorg-1.5.2-12.fc10.i386
xorg-x11-drv-i810-2.5.0-1.fc10
Comment 22 Jesse Keating 2008-11-10 16:40:11 EST
Moving to target, we would not slip the release for this issue.
Comment 23 Mamoru TASAKA 2008-11-12 07:29:54 EST
xorg-x11-server Fedora CVS F-10 HEAD 
(1.5.3-2.fc10, however not be rebuilt on koji yet)
WORKS, perhaps related to bug 470638.

I would appreciate it if 1.5.3-2.fc10 is included in f10-final.
Comment 24 Mamoru TASAKA 2008-11-12 10:00:55 EST
Created attachment 323335 [details]
screenshot of firefox with 1.5.3-2

(In reply to comment #23)
> xorg-x11-server Fedora CVS F-10 HEAD 
> (1.5.3-2.fc10, however not be rebuilt on koji yet)
> WORKS,

Sorry, it seems that I was telling a lie.
With 1.5.3-2.fc10, I see the problem (screenshot attached)
Comment 25 Bug Zapper 2008-11-25 21:50:55 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 26 Bug Zapper 2009-11-18 02:54:25 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 27 Bug Zapper 2009-12-18 01:19:46 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.